%% Count different type of scenarios in dataset

load contextpathpred_daimler_dataset_eccv14

%%
Nt = numel(eccv14_tracks);
anomaly_mask = false(1, numel(eccv14_tracks));

%% Select tracks for various types of scenarios

% sc = situation critical
% nsc = NOT situation critical
% sv = pedestrian sees vehicle
% nsv = pedestrian DOES NOT see vehicle
% cross = pedestrian crosses road
% stop = pedestrian stops at curb

% expected:
% !sc + sv + crossing
nsc_sv_cross = track_tag_test(eccv14_tracks, ...
    'sitdang', 'false',...
    'seesvehicle', 'true', ...
    'trajectorytype', 'Crossing');
% !sc +!sv + crossing
nsc_nsv_cross = track_tag_test(eccv14_tracks, ...
    'sitdang', 'false', ...
    'seesvehicle', 'false',...
    'trajectorytype', 'Crossing');
% sc + !sv + crossing
sc_nsv_cross = track_tag_test(eccv14_tracks, ...
    'sitdang', 'true', ...
    'seesvehicle', 'false', ...
    'trajectorytype', 'Crossing');
% sc + sv + stopping
sc_sv_stop = track_tag_test(eccv14_tracks, ...
    'sitdang', 'true', ...
    'seesvehicle', 'true', ...
    'trajectorytype', 'Stopping');

% unexpected
% sc + sv + crossing --> ANOMALY not in training data
sc_sv_cross = track_tag_test(eccv14_tracks, ...
    'sitdang', 'true', ...
    'seesvehicle', 'true', ...
    'trajectorytype', 'Crossing');

% print proportions of complete data set:
fprintf('----------------------------------\n');
fprintf('Expected:\n');
fprintf('Not SC, SV, Crossing: \t\t %d\n', sum(nsc_sv_cross));
fprintf('Not SC, not SV, Crossing: \t %d\n', sum(nsc_nsv_cross));
fprintf('SC, not SV, Crossing: \t\t %d\n', sum(sc_nsv_cross));
fprintf('SC, SV, Stopping: \t\t %d\n', sum(sc_sv_stop));
fprintf('\n');
fprintf('Unexpected:\n');
fprintf('SC, SV, Crossing: \t\t %d\n', sum(sc_sv_cross));
fprintf('----------------------------------\n');


