%% Plot various aspects of a pedestrian track

load contextpathpred_daimler_dataset_eccv14


%% select track
tidx = 20; % <-- change this
track = eccv14_tracks(tidx);

if 0 % <-- change to true/false to show GT or measurments
    % GT data
    pos = track.gt_pos;
    pos_e = track.gt_pos_e;
    pos_img = track.gt_pos_img;
    bbox = track.gt_bbox;
    head = track.gt_head;
else
    % measurement
    pos = track.meas_pos;
    pos_e = track.meas_pos_e;
    pos_img = track.meas_pos_img;
    bbox = track.meas_bbox;
    head = track.meas_head;
end

T = size(pos,2);

% create plot
figure(1)
clf

subplot(2,2,1)
plot(pos(1,:), pos(2,:), '.-')
axis equal
grid on
title('ped. position relative to vehicle')
xlabel('lateral')
ylabel('longitudinal')

subplot(2,2,2)
plot(pos_e(1,:), pos_e(2,:), '.-')
axis equal
grid on
title('ped. pos. ego-motion compensated')
xlabel('lateral')
ylabel('longitudinal')

% plot true curb position
curb_pos = track.gt_curb_pos_e(1);
hold on;
xl = xlim;
xlim([min(curb_pos-1, xl(1)) xl(2)])
plot([1 1] * curb_pos, ylim, 'k--')

subplot(2,2,3)
hold on
for t = 1:T
    plot(bbox([1 3 3 1 1],t), bbox([2 2 4 4 2],t), '-')
end
axis equal
grid on
title('ped. bounding box in image plane')
xlabel('pixel x')
ylabel('pixel y')
axis([1 1176 1 640])
set(gca, 'YDir', 'reverse')

subplot(2,2,4)
polar(deg2rad(head), 1:T)
title('head orientation')
