%% Show head orientation measurments for a particular track

load contextpathpred_daimler_dataset_eccv14

%%

tidx = 10; % <-- change this
track = eccv14_tracks(tidx);
track.tags

% convert expert to/from angle direction
angle_to_bin = @(deg) mod(round(deg / 45.),8)+1;

expert_centers = [0 45 90 135 180 225 270 315]; % expert centers in degrees
bin_to_angle = @(expert) expert_centers(expert);

figure(1)
clf;

% show head orientation expert outputs
subplot(2,1,1)
imagesc(track.meas_head_experts);
hold on;
h1 = plot(angle_to_bin(track.meas_head), 'DisplayName', 'measurement', 'LineWidth', 3);
h2 = plot(angle_to_bin(track.gt_head), 'DisplayName', 'groundtruth', 'LineWidth', 3);
legend([h1 h2])
set(gca, 'YTick', 1:8, 'YTickLabel', bin_to_angle(1:8));
xlabel('time step')
ylabel('head orientation angle')
colormap gray

% show sees-vehicle annotation
subplot(2,1,2)
plot(track.hsv);
hold on
plot(track.sv);
ylim([0 1] + [-1 1]*.1)
grid on
legend('Has-Seen-Vehicle', 'Sees-Vehicle')
set(gca, 'YTick', [0 1], 'YTickLabel', {'false', 'true'})
