function mask = track_tag_test(tracks, varargin)
% Create boolean mask for tracks struct, by testing if given tags have required values
% Example:
%    mask = track_tag_test(tracks, 'sitdang', 'true', 'seesvehicle', 'true')
%
    
assert(mod(numel(varargin),2) == 0); % varargin should be ['name', 'value'] pairs

% single struct containing the tags
alltags = [tracks.tags];
mask = true(1, numel(alltags));

v = 1;
while v < numel(varargin)
    tagname = varargin{v};
    tagvalue = varargin{v+1};

    mask = mask & strcmp({alltags.(tagname)}, tagvalue);
    
    v = v + 2;
end

end